<?php
//============================================================+
// File name   : cp_functions_errmsg.php                       
// Begin       : 2001-09-17                                    
// Last Update : 2003-10-12                                    
//                                                             
// Description : handle error messages                         
//                                                             
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

// ------------------------------------------------------------
// Handle error/warning/system messages
// Print a message on the header frame (CPHEADER)
// messagetype: 0=no message, message; warning; error;
// ------------------------------------------------------------
function F_print_error($messagetype, $messagetoprint) {
	global $l;
	require_once('../../shared/config/cp_extension.inc');
	
	$messagetype = strtolower($messagetype);
	
	//message is appended to the log file
	if(K_USE_ERROR_LOG AND (!strcmp($messagetype,"error"))) {
		$logsttring = gmdate("Y-m-d H:i:s")."\t";
		$logsttring .= $_SESSION['session_user_id']."\t";
		$logsttring .= $_SESSION['session_user_ip']."\t";
		$logsttring .= $messagetype."\t";
		$logsttring .= $_SERVER['SCRIPT_NAME']."\t";
		$logsttring .= $messagetoprint."\r\n";
		error_log($logsttring, 3, "../log/cp_errors.log");
	}
	
	if($messagetoprint) {
		switch($messagetype) {
			case "message":{
				$msgtitle = $l['t_message'];
				break;
			}
			case "warning":{
				$msgtitle = $l['t_warning'];
				break;
			}
			case "error":{
				$msgtitle = $l['t_error'];
				break;
			}
			default: {//no message
				$msgtitle = $messagetype;
				break;
			}
		}
		
		echo "<p>";
		echo "<b class=\"".$messagetype."\">".$msgtitle."</b><br />";
		echo "<b>".$messagetoprint."</b>";
		echo "</p>";
		
		//display message on JavaScript Alert Window.
		/*
		echo "<script language=\"JavaScript\" type=\"text/javascript\">\n";
		echo "//<![CDATA[\n";
		$messagetoprint = unhtmlentities(strip_tags($messagetoprint));
		$messagetoprint = str_replace("'", "\'", $messagetoprint); //UNIX - WINDOWS compatibility
		echo "alert('[".$msgtitle."]: ".$messagetoprint."');\n";
		echo "//]]>\n";
		echo "</script>\n";
		*/
	}
return;
}

// ------------------------------------------------------------
// Print the mysql error and terminate the program
// ------------------------------------------------------------
function F_display_db_error() {
	$messagetype = "ERROR";
	$messagetoprint = "".F_aiocpdb_errno().": ".F_aiocpdb_error()."";
	F_print_error($messagetype, $messagetoprint);
	exit($messagetype.": ".$messagetoprint);
return;
}

//============================================================+
// END OF FILE                                                 
//============================================================+
?>
