<?php
//============================================================+
// File name   : req_paypal_server.php                         
// Begin       : 2002-09-18                                    
// Last Update : 2003-01-27                                    
//                                                             
// Description : Payment module                                
//               PayPal(www.paypal.com)                        
//               Receive payment answer from PayPal server     
//               (Server 2 Server comunication)                
//                                                             
//                                                             
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

require_once('../../shared/config/cp_extension.inc');
require_once('../../shared/code/cp_functions_ec_payment.'.CP_EXT);

// Please set to the right values the following variables

// This is your PayPal ID, or email address, where payments will be sent. This email address must be confirmed and linked to your Verified Business or Premier account.
$pp_paypal_id = "";

// DO NOT MODIFY BELOW THIS LINE
// ----------------------------------------------------------------

$host_name = "www.paypal.com";

// read the post from PayPal system and add 'cmd'
$req = 'cmd=_notify-validate';

foreach ($_POST as $key => $value) {
	$value = urlencode(stripslashes($value));
	$req .= "&".$key."=".$value."";
}

// post back to PayPal system to validate
$header = "POST /cgi-bin/webscr HTTP/1.0\r\n";
$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
$header .= 'Content-Length: ' . strlen($req) . "\r\n\r\n";
$fp = fsockopen ($host_name, 80, $errno, $errstr, 30);

// assign posted variables to local variables

list($user_id, $selected_language) = split('[-]', $_POST['custom']);
$transaction_id = $_POST['item_number'];
$payment_status = $_POST['payment_status'];

if (!$fp) {
	// ERROR
	echo "Impossible to connect to host: ".$host_name."<br />(".$errno.") ".$errstr."";
	exit;
}
else {
	fputs ($fp, $header."".$req);
	while (!feof($fp)) {
		$res = fgets ($fp, 1024);
		if ((strcmp($res, "VERIFIED") == 0) AND (strcasecmp($payment_status, "Completed") == 0) AND (strcasecmp($_POST['receiver_email'], $pp_paypal_id) == 0)) {
			//update shopping cart payment details
			F_update_payment_details($user_id, $transaction_id, "Payment ".$payment_status);
			
			//generate order and send order by email to customer
			require_once('../../shared/code/cp_functions_ec_order.'.CP_EXT);
			F_create_new_ec_order($user_id, $transaction_id, false, true, true);
		}
		else { //invalid
			//update shopping cart payment details
			F_update_payment_details($user_id, $transaction_id, "ERROR: Payment ".$payment_status);
			
			//log error
			$logsttring = "\nPayPal";
			$logsttring .= "\t".$_POST['txn_id']."";
			$logsttring .= "\t".gmdate("Y-m-d H:i:s")."";
			$logsttring .= "\t".$user_id."";
			$logsttring .= "\t".$transaction_id."";
			$logsttring .= "\t".$payment_status."";
			if (isset($_POST['pending_reason'])) {
				$logsttring .= "\t".$_POST['pending_reason']."";
			}
			error_log($logsttring, 3, "../log/cp_payment_errors.log");
		}
	}
	fclose ($fp);
}

exit;

//============================================================+
// END OF FILE                                                 
//============================================================+
?>