<?php
//============================================================+
// File name   : cp_authorization.php                          
// Begin       : 2001-09-26                                    
// Last Update : 2006-02-06                                    
//                                                             
// Description : Check user authorization level                
//               grant / deny access to pages                  
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

require_once('../../shared/config/cp_extension.inc');
require_once('../config/cp_config.'.CP_EXT);
require_once('../../shared/code/cp_functions_authorization.'.CP_EXT);
require_once('../../shared/code/cp_functions_session.'.CP_EXT);

$logged=FALSE;

//read existing session
$sqls = "SELECT * FROM ".K_TABLE_SESSIONS." WHERE cpsession_id='".$PHPSESSID."'";
if($rs = F_aiocpdb_query($sqls, $db)) {
	if($ms = F_aiocpdb_fetch_array($rs)) { //the user session already exist
		session_decode($ms['cpsession_data']);
		//update expiry time:
		$expiry = time();// + K_SESSION_LIFE;
		$sqlx = "UPDATE IGNORE ".K_TABLE_SESSIONS." SET cpsession_expiry='".$expiry."' WHERE cpsession_id='".$PHPSESSID."'";
		if(!$rx = F_aiocpdb_query($sqlx, $db)) {
			F_display_db_error();
		}
	}
	else { //session do not exist so, create new anonymous session
		$_SESSION['session_user_id'] = 1;
		$_SESSION['session_user_name'] = "_A_".substr($PHPSESSID, 12, 8);
		$_SESSION['session_user_ip'] = $_SERVER['REMOTE_ADDR'];
		$_SESSION['session_user_level'] = 0;
		$_SESSION['session_user_language'] = K_DEFAULT_LANGUAGE;
		$_SESSION['session_alt_menu'] = 0; //default alternative menu disabled
		
		// read client cookie 
		if(isset($_COOKIE['LastVisit'])) {
			$_SESSION['session_last_visit'] = $_COOKIE['LastVisit'];
		}
		else {
			$_SESSION['session_last_visit'] = 0;
		}
		
		// set client cookie
		$cookie_now_time = time();
		$cookie_expire_time = $cookie_now_time + K_COOKIE_EXPIRE; // set cookie expiration time
		setcookie("LastVisit", $cookie_now_time, $cookie_expire_time, K_COOKIE_PATH, K_COOKIE_DOMAIN, K_COOKIE_SECURE);
		setcookie("PHPSESSID", $PHPSESSID, $cookie_expire_time, K_COOKIE_PATH, K_COOKIE_DOMAIN, K_COOKIE_SECURE);
	}
}
else {
	F_display_db_error();
}

//check if login information has been submitted
if ((isset($_POST['logaction'])) AND ($_POST['logaction'] == "login")) {
	$xuser_password = md5($_POST['xuser_password']);
	$sql = "SELECT * FROM ".K_TABLE_USERS." WHERE user_name='".$_POST['xuser_name']."' AND user_password='".$xuser_password."'";
	if($r = F_aiocpdb_query($sql, $db)) {
		if($m = F_aiocpdb_fetch_array($r)) {
			$_SESSION['session_user_id'] = $m['user_id'];
			$_SESSION['session_user_name'] = $m['user_name'];
			$_SESSION['session_user_ip'] = $_SERVER['REMOTE_ADDR'];
			$_SESSION['session_user_level'] = $m['user_level'];
			$_SESSION['session_user_language'] = $m['user_language'];
			$_SESSION['session_alt_menu'] = 0; //default alternative menu disabled
			// read client cookie 
			if(isset($_COOKIE['LastVisit'])) {
				$_SESSION['session_last_visit'] = $_COOKIE['LastVisit'];
			}
			else {
				$_SESSION['session_last_visit'] = 0;
			}
			$logged=TRUE;
		}
		else {
			F_print_error("WARNING", $l['m_login_wrong']);
		}
	}
	else {
		F_display_db_error();
	}
}

// If language has been manually changed
if(isset($_REQUEST['choosed_language'])) {
	$_SESSION['session_user_language'] = $_REQUEST['choosed_language'];
	$selected_language = $_SESSION['session_user_language'];
}

// If a user has choosed alternat menu
if(isset($_REQUEST['altmenu'])) {
	if ($_REQUEST['altmenu']) {
		$_SESSION['session_alt_menu'] = 1; //use alternate menu
	}
	else {
		$_SESSION['session_alt_menu'] = 0; //use standard menu
	}
}


//Load selected language
if (isset($_SESSION['session_user_language'])) {
	$selected_language = $_SESSION['session_user_language'];
}
require('../../shared/code/cp_languages.'.CP_EXT); //reload language file 

if (!isset($pagelevel)) {
	$pagelevel = 0;
}

if($pagelevel) { // if pagelevel=0 means access to anonymous user
	if($_SESSION['session_user_level'] < $pagelevel) { //check user level
		if($_SESSION['session_user_id'] == 1) { //actions for anonymous user
			F_login_form(); //display login form
		}
		else {
			//check if user has a special permission to access the requested resource:
			$current_time = gmdate("Y-m-d H:i:s");
						
			//delete expired special accounts (garbage collector)
			$sql = "DELETE FROM ".K_TABLE_USERS_AUTH." WHERE ua_time_end<'".$current_time."'";
			if(!$r = F_aiocpdb_query($sql, $db)) {
				F_display_db_error();
			}
				
			// get current page
			$current_page = K_PATH_HOST.$_SERVER['SCRIPT_NAME'];
			if ($_SERVER['QUERY_STRING']) {
				$current_page .= "?".$_SERVER['QUERY_STRING'];
			}
			
			//check user permission
			$sql = "SELECT * FROM ".K_TABLE_USERS_AUTH." WHERE ua_user_id='".$_SESSION['session_user_id']."' AND ua_time_start<='".$current_time."' AND ua_time_end>='".$current_time."' AND LOCATE(ua_resource,'".$current_page."')>0 LIMIT 1";
			if($r = F_aiocpdb_query($sql, $db)) {
				if(!F_aiocpdb_fetch_array($r)) {
					F_print_error("WARNING", $l['m_authorization_deny']); //display error message
					F_logout_page();
				}
			}
			else {
				F_display_db_error();
			}	
		}
	}
}

if($logged) { //if user is just logged in: reload all frames (to charge proper language)
	echo "<"."?xml version=\"1.0\" encoding=\"".$l['a_meta_charset']."\"?".">\n";
	echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"DTD/xhtml1-transitional.dtd\">\n";
	echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"".$l['a_meta_language']."\" lang=\"".$l['a_meta_language']."\" dir=\"".$l['a_meta_dir']."\">\n";
	echo "<head>\n";
	echo "<title>ENTER</title>\n";
	if(K_CHECK_JAVASCRIPT) {
		//echo "<noscript><meta http-equiv='refresh' content='0;url=".K_REDIRECT_JAVASCRIPT_ERROR."' /></noscript>\n";
		echo "<meta name=\"robots\" content=\"index,follow\" />\n";
	}
	
	if(K_USE_FRAMES) { //reload all frames from index (if javascript enable)
		echo "<script language=\"JavaScript\" type=\"text/javascript\">\n";
		echo "//<![CDATA[\n";
		echo "var mainpage = escape(parent.frames['".K_MAIN_FRAME_NAME."'].location.href);\n";
		echo "top.location.replace(\"../code/index.".CP_EXT."?load_page=\" + mainpage);\n";
		echo "//]]>\n";
		echo "</script>\n";
		echo "</head>\n";
		echo "<body>\n";
		echo "<a href=\"".$_SERVER['SCRIPT_NAME']."\" target=\"_top\">ENTER</a>\n";
	}
	else { //reload page
		echo "<meta http-equiv=\"refresh\" content=\"0\" />\n"; //reload page
		echo "</head>\n";
		echo "<body>\n";
		echo "<a href=\"".$_SERVER['SCRIPT_NAME']."\" target=\"_top\">ENTER</a>\n";
	}
	echo "</body>\n";
	echo "</html>\n";
	exit;
}
// end load user settings

//============================================================+
// END OF FILE                                                 
//============================================================+
?>