<?php
//============================================================+
// File name   : cp_db_dal_mysql.php                           
// Begin       : 2003-10-12                                    
// Last Update : 2003-10-14                                    
//                                                             
// Description : Database Abstraction Layer for MySQL          
//               This abstraction use the same SQL syntax      
//               of MySQL                                      
// NOTES:                                                      
// The AIOCP database functions have the same syntax of the    
// MySQL PHP functions. The AIOCP DB functions names are       
// obtained changing "mysql_" with "F_aiocpdb_".               
//                                                             
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

/**
* Get number of affected rows in previous database operation
* @param resource $link_identifier
*/
function F_aiocpdb_affected_rows ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_affected_rows ();
	}
	return mysql_affected_rows ($link_identifier);
}

/**
* Change logged in user of the active connection 
*/
function F_aiocpdb_change_user ($user, $password, $database = null, $link_identifier = null) {
	if ((empty($database)) AND (empty($link_identifier)) ) {
		return mysql_change_user ($user, $password);
	}
	elseif (empty($link_identifier)) {
		return mysql_change_user ($user, $password, $database);
	}
	return mysql_change_user ($user, $password, $database, $link_identifier);
}

/**
* Returns the name of the character set
*/
function F_aiocpdb_client_encoding ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_client_encoding ();
	}
	return mysql_client_encoding ($link_identifier);
}

/**
* Close database connection
*/
function F_aiocpdb_close ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_close ();
	}
	return mysql_close ($link_identifier);
}

/**
* Open a connection to a database Server
*/
function F_aiocpdb_connect ($server = 'localhost:3306', $username = 'root', $password = '', $new_link = null, $client_flags = null) {
	if ( (empty($new_link)) AND (empty($client_flags)) ) {
		return mysql_connect ($server, $username, $password);
	}
	elseif ($client_flags == null) {
		return mysql_connect ($server, $username, $password, $new_link);
	}
	return mysql_connect ($server, $username, $password, $new_link, $client_flags);
}

/**
* Create a database
*/
function F_aiocpdb_create_db ($database_name, $link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_create_db ($database_name);
	}
	return mysql_create_db ($database_name, $link_identifier);
}

/**
* Move internal result pointer
*/
function F_aiocpdb_data_seek ($result_identifier, $row_number) {
	return mysql_data_seek ($result_identifier, $row_number);
}

/**
* Get result data
*/
function F_aiocpdb_db_name ($result, $row, $field = null) {
	if (empty($field)) {
		return mysql_db_name ($result, $row);
	}
	return mysql_db_name ($result, $row, $field);
}

/**
* Send a database query
*/
function F_aiocpdb_db_query ($database, $query, $link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_db_query ($database, $query);
	}
	return mysql_db_query ($database, $query, $link_identifier);
}

/**
* Drop (delete) a database
*/
function F_aiocpdb_drop_db ($database_name, $link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_drop_db ($database_name);
	}
	return mysql_drop_db ($database_name, $link_identifier);
}

/**
* Returns the numerical value of the error message from previous database operation 
*/
function F_aiocpdb_errno ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_errno ();
	}
	return mysql_errno ($link_identifier);
}

/**
* Returns the text of the error message from previous database operation
*/
function F_aiocpdb_error ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_error ();
	}
	return mysql_error ($link_identifier);
}

/**
* Escapes a string for use in a F_aiocpdb_query
*/
function F_aiocpdb_escape_string ($unescaped_string) {
	return mysql_escape_string ($unescaped_string);
}

/**
* Fetch a result row as an associative array, a numeric array, or both
*/
function F_aiocpdb_fetch_array ($result, $result_type = MYSQL_BOTH) {
	return mysql_fetch_array ($result, $result_type);
}

/**
* Fetch a result row as an associative array
*/
function F_aiocpdb_fetch_assoc ($result) {
	return mysql_fetch_assoc ($result);
}

/**
* Get column information from a result and return as an object
*/
function F_aiocpdb_fetch_field ($result, $field_offset = null) {
	if ($field_offset == null) {
		return mysql_fetch_field ($result);
	}
	return mysql_fetch_field ($result, $field_offset);
}

/**
* Get the length of each output in a result
*/
function F_aiocpdb_fetch_lengths ($result) {
	return mysql_fetch_lengths ($result);
}

/**
* Fetch a result row as an object
*/
function F_aiocpdb_fetch_object ($result) {
	return mysql_fetch_object ($result);
}

/**
* Get a result row as an enumerated array
*/
function F_aiocpdb_fetch_row ($result) {
	return mysql_fetch_row ($result);
}

/**
* Get the flags associated with the specified field in a result
*/
function F_aiocpdb_field_flags ($result, $field_offset) {
	return mysql_field_flags ($result, $field_offset);
}

/**
* Returns the length of the specified field
*/
function F_aiocpdb_field_len ($result, $field_offset) {
	return mysql_field_len ($result, $field_offset);
}

/**
* Get the name of the specified field in a result
*/
function F_aiocpdb_field_name ($result, $field_index) {
	return mysql_field_name ($result, $field_index);
}

/**
* Set result pointer to a specified field offset
*/
function F_aiocpdb_field_seek ($result, $field_offset) {
	return mysql_field_seek ($result, $field_offset);
}
/**
* Get name of the table the specified field is in
*/
function F_aiocpdb_field_table ($result, $field_offset) {
	return mysql_field_table ($result, $field_offset);
}

/**
* Get the type of the specified field in a result
*/
function F_aiocpdb_field_type ($result, $field_offset) {
	return mysql_field_type ($result, $field_offset);
}

/**
* Free result memory
*/
function F_aiocpdb_free_result ($result) {
	return mysql_free_result ($result);
}
/**
* Get database client info
*/
function F_aiocpdb_get_client_info () {
	return mysql_get_client_info ();
}

/**
* Get database host info
*/
function F_aiocpdb_get_host_info ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_get_host_info ();
	}
	return mysql_get_host_info ($link_identifier);
}

/**
* Get database protocol info
*/
function F_aiocpdb_get_proto_info ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_get_proto_info ();
	}
	return mysql_get_proto_info ($link_identifier);
}

/**
* Get database server info
*/
function F_aiocpdb_get_server_info ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_get_server_info ();
	}
	return mysql_get_server_info ($link_identifier);
}

/**
* Get information about the most recent query
*/
function F_aiocpdb_info ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_info ();
	}
	return mysql_info ($link_identifier);
}

/**
* Get the ID generated from the previous INSERT operation
*/
function F_aiocpdb_insert_id ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_insert_id ();
	}
	return mysql_insert_id ($link_identifier);
}

/**
* List databases available on a Database server
*/
function F_aiocpdb_list_dbs ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_list_dbs ();
	}
	return mysql_list_dbs ($link_identifier);
}

/**
* List database table fields
*/
function F_aiocpdb_list_fields ($database_name, $table_name, $link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_list_fields ($database_name, $table_name);
	}
	return mysql_list_fields ($database_name, $table_name, $link_identifier);
}

/**
* List database processes
*/
function F_aiocpdb_list_processes ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_list_processes ();
	}
	return mysql_list_processes ($link_identifier);
}

/**
* List tables in a database
*/
function F_aiocpdb_list_tables ($database, $link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_list_tables ($database);
	}
	return mysql_list_tables ($database, $link_identifier);
}

/**
* Get number of fields in result
*/
function F_aiocpdb_num_fields ($result) {
	return mysql_num_fields ($result);
}

/**
* Get number of rows in result
*/
function F_aiocpdb_num_rows ($result) {
	return mysql_num_rows ($result);
}

/**
* Open a persistent connection to a database server
*/
function F_aiocpdb_pconnect ($server = 'localhost:3306', $username = 'root', $password = '', $client_flags = null) {
	if (empty($client_flags)) {
		return mysql_pconnect ($server, $username, $password);
	}
	return mysql_pconnect ($server, $username, $password, $client_flags);
}

/**
* Ping a server connection or reconnect if there is no connection
*/
function F_aiocpdb_ping ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_ping ();
	}
	return mysql_ping ($link_identifier);
}

/**
* Send a database query
*/
function F_aiocpdb_query ($query, $link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_query ($query);
	}
	return mysql_query ($query, $link_identifier);
}

/**
* Escapes special characters in a string for use in a SQL statement, taking into account the current charset of the connection. 
*/
function F_aiocpdb_real_escape_string ($unescaped_string, $link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_real_escape_string ($unescaped_string);
	}
	return mysql_real_escape_string ($unescaped_string, $link_identifier);
}

/**
* Get result data
*/
function F_aiocpdb_result ($result, $row, $field = null) {
	if (empty($field)) {
		return mysql_result ($result, $row);
	}
	return mysql_result ($result, $row, $field);
}

/**
* Select a database
*/
function F_aiocpdb_select_db ($database_name, $link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_select_db ($database_name);
	}
	return mysql_select_db ($database_name, $link_identifier);
}

/**
* Get current system status
*/
function F_aiocpdb_stat ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_stat ();
	}
	return mysql_stat ($link_identifier);
}

/**
* Get table name of field
*/
function F_aiocpdb_tablename ($result, $i) {
	return mysql_tablename ($result, $i);
}

/**
* Return the current thread ID
*/
function F_aiocpdb_thread_id ($link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_thread_id ();
	}
	return mysql_thread_id ($link_identifier);
}

/**
* Send an SQL query to database, without fetching and buffering the result rows
*/
function F_aiocpdb_unbuffered_query ($query, $link_identifier = null) {
	if (empty($link_identifier)) {
		return mysql_unbuffered_query ($query);
	}
	return mysql_unbuffered_query ($query, $link_identifier);
}

//============================================================+
// END OF FILE                                                 
//============================================================+
?>