<?php
//============================================================+
// File name   : cp_functions_session.php                      
// Begin       : 2001-09-26                                    
// Last Update : 2005-12-30                                    
//                                                             
// Description : user-level session storage functions          
//                                                             
// Note:You must set some configuration option in your php.ini:
//		session.save_handler = user                            
// 		session.save_path = /tmp ;on unix systems              
// 		session.save_path = \tmp ;on windows systems           
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Tecnick.com S.r.l.
//               Via Ugo Foscolo n.19
//               09045 Quartu Sant'Elena (CA)
//               ITALY
//               www.tecnick.com
//               info@tecnick.com
//
// License: GNU GENERAL PUBLIC LICENSE v.2
//          http://www.gnu.org/copyleft/gpl.html
//============================================================+

global $db; //database data
ini_set("session.save_handler", "user");
ini_set("session.name", "PHPSESSID");
//ini_set("session.gc_maxlifetime", K_SESSION_LIFE);
//ini_set("session.cookie_lifetime", K_COOKIE_EXPIRE);
ini_set("session.use_cookies", TRUE);

// ------------------------------------------------------------
// constructor
// ------------------------------------------------------------
function F_session_open($save_path, $session_name) {
	return true; 
} 

// ------------------------------------------------------------
// destructor
// ------------------------------------------------------------
function F_session_close() {
	F_session_gc(K_SESSION_LIFE); //call garbage collector
	return true; 
} 

// ------------------------------------------------------------
// read session
// ------------------------------------------------------------
function F_session_read($key) {
	global $db;
	$sql = "SELECT cpsession_data FROM ".K_TABLE_SESSIONS." WHERE cpsession_id='".$key."' AND cpsession_expiry>='".time()."' LIMIT 1";
	if($r = F_aiocpdb_query($sql, $db)) {
		if($m = F_aiocpdb_fetch_array($r)) {
			return $m['cpsession_data'];
		}
		else return("");
	}
	return("");
}

// ------------------------------------------------------------
// add/update session
// ------------------------------------------------------------
function F_session_write($key, $val) {
	global $db;
	$val = stripslashes($val);
	$expiry = time();
	$sql = "REPLACE INTO ".K_TABLE_SESSIONS." (cpsession_id, cpsession_expiry, cpsession_data) VALUES ('".$key."','".$expiry."','".$val."')";
	$r = F_aiocpdb_query($sql, $db);
	return $r; 
} 

// ------------------------------------------------------------
// delete session (and expired sessions)
// ------------------------------------------------------------
function F_session_destroy($key) {
	global $db;
	$sql = "DELETE FROM ".K_TABLE_SESSIONS." WHERE cpsession_id='".$key."'";
	$r = F_aiocpdb_query($sql, $db);
	return $r; 
}

// ------------------------------------------------------------
// garbage collection routine
// ------------------------------------------------------------
function F_session_gc($maxlife) {
	global $db;
	$expiry_time = time() - $maxlife;
	$sql = "DELETE FROM ".K_TABLE_SESSIONS." WHERE cpsession_expiry<='".$expiry_time."'";
	if(!$r = F_aiocpdb_query($sql, $db)) {
		return FALSE;
	}
	return F_aiocpdb_affected_rows($db);
}

// ------------------------------------------------------------
// Sets user-level session storage functions
// ------------------------------------------------------------
session_set_save_handler ("F_session_open", "F_session_close", "F_session_read", "F_session_write", "F_session_destroy", "F_session_gc"); 

// start user session

if (isset($_REQUEST['PHPSESSID']) AND (strlen($_REQUEST['PHPSESSID'])>=32)) {
	//Load $PHPSESSID from get/post/cookie
	$PHPSESSID = substr($_REQUEST['PHPSESSID'],0,32);
} else {
	//create new PHPSESSID	
	$PHPSESSID = md5($_SERVER['REMOTE_ADDR']."".time()."AIOCP");
}

if ((!isset($_REQUEST['menu_mode'])) OR ($_REQUEST['menu_mode']!="startlongprocess")) { //temporary fix for flush problem for long processes
	session_id($PHPSESSID); //set session id
}

session_start(); //start session
header("Cache-control: private"); // fix IE6 bug

//============================================================+
// END OF FILE                                                 
//============================================================+
?>
